Media::Convert::Asset::Profile::mpeg2(3pm)

NAME
Media::Conert::Asset::Profile::mpeg2 - Create an MPEG-2 video

SYNOPSIS
  use Media::Convert::Asset;
  use Media::Convert::Asset::ProfileFactory;
  use Media::Convert::Pipe;

  my $input = Media::Convert::Asset->new(url => $input_filename);
  my $profile = Media::Convert::Asset::ProfileFactory->create("mpeg2", $input);
  my $output = Media::Convert::Asset-new(url => "$output_basename." .  $profile->exten, reference => $profile);
  Media::Convert::Pipe->new(inputs => [$input], output => $output)->run();

DESCRIPTION
The "mpeg2" profile re-encodes the input video into MPEG-2 video with MPEG-2 audio.